## wxglade 1.0.1

=== Makefile ===
# Makefile for wxGlade
#
# License: MIT (see LICENSE.txt)
# THIS PROGRAM COMES WITH NO WARRANTY

DESTDIR           =

# Makefile defaults
SHELL             = /bin/sh
INSTALL           = install
INSTALL_PROGRAM   = ${INSTALL}
INSTALL_DATA      = ${INSTALL} -m 644
PACKAGE           = python-wxglade
prefix            = $(DESTDIR)/usr/local
exec_prefix       = $(DESTDIR)/usr/local
bindir            = $(exec_prefix)/bin
datarootdir       = $(prefix)/share
datadir           = $(datarootdir)
docdir            = $(datarootdir)/doc/$(PACKAGE)
mandir            = $(datarootdir)/man
man1dir           = $(mandir)/man1

BASE_DIR          = .
BIN_FILES         = wxglade
BUILD_DIR         = $(BASE_DIR)/build
BDIST_DIR         = $(BASE_DIR)/bdist
DOC_DIR           = $(BASE_DIR)/docs
DIST_DIR          = $(BASE_DIR)/dist
EGG_DIR           = $(BASE_DIR)/wxGlade.egg-info
CHECK_FILES       = $(filter-out $(BASE_DIR)/test.py, $(wildcard $(BASE_DIR)/*.py)) \
                    $(filter-out tests/%.py, $(shell find $(SOURCE_DIRS) -name "*.py"))
EPYDOC_BIN        = epydoc
EPYDOC_CONFIG     = $(BASE_DIR)/epydoc.conf
EPYDOC_OPTS       = --config $(EPYDOC_CONFIG)
APIDOC_DIR        = $(BASE_DIR)/docs/apidocs
SOURCE_DIRS       = codegen wcodegen edit_sizers widgets install tests
SOURCE_FILES      = $(wildcard $(BASE_DIR)/*.py) $(shell find $(SOURCE_DIRS) -name "*.py")
TEST_BIN          = $(BASE_DIR)/test.py
PYLINT_BIN        = pylint2
PYLINT_OPTS       = --rcfile ./pylintrc
PYLINT_PATH       = "$(BASE_DIR):$(BASE_DIR)/widgets:$(BASE_DIR)/codegen"
DIGGER_BIN        = clonedigger
DIGGER_OUTFILE    = clonedigger.html
DIGGER_OPTS       = --language python --output $(DIGGER_OUTFILE)
PYTHON_BIN        = python2
MANPAGE_XSL       = /usr/share/xml/docbook/xsl-stylesheets-1.79.1/manpages/docbook.xsl
XP                = xsltproc --nonet

MANUAL_HTML_DIR   = $(DOC_DIR)/html
MANUAL_PDF_DIR    = $(DOC_DIR)/pdf
MANUAL_SRC_DIR    = $(DOC_DIR)/src
MANUAL_XML        = $(MANUAL_SRC_DIR)/manual.xml
MANUAL_PICS       = $(wildcard $($(MANUAL_SRC_DIR)/*.png))
MANUAL_PDF        = $(MANUAL_PDF_DIR)/manual.pdf
MANUAL_PDF_XSL    = $(MANUAL_SRC_DIR)/pdf.xsl
MANUAL_HTML       = $(MANUAL_HTML_DIR)/index.html
MANUAL_HTML_XSL   = $(MANUAL_SRC_DIR)/html.xsl

HELP= @grep -B1 '^[a-zA-Z\-]*:' Makefile |\
         awk 'function p(h,t){printf"%-12s=%s\n",h,t;};\
         /\#+/{t=$$0;};\
         /:/{gsub(":.*","");h=$$0};\
         /^--/{p(h,t);t=h="";};\
         END{p(h,t)}' |\
         sed -n 's/=.*\#+/:/gp'

.PHONY: help clean distclean compile apidoc pylint permissions man doc \
        pdf html doc-clean release rel-binary rel-source install \
        maintainer-clean test

# Rule to compile a single Python file
%.pyc: %.py
	@echo "Compile $< ..."
	@$(PYTHON_BIN) -c "import py_compile; py_compile.compile('$<')"

#+ Show this text
help:
	$(HELP)

#+ Run all test package
test: test-nongui test-gui test-compile

#+ Run all non-GUI test package
test-nongui:
	@$(TEST_BIN)

#+ Run all GUI test package
test-gui:
	@$(TEST_BIN) --gui

#+ Run test to compile C++ files
test-compile:
	@$(TEST_BIN) --compile

#+ Clean python compiler files and automatic generated documentation
clean:
	@echo "Remove all automatically generated files ..."
	@find $(BASE_DIR) -depth -type f -name "*.pyc" -exec rm -f {} \;
	@find $(BASE_DIR) -depth -type f -name "*.pyo" -exec rm -f {} \;
	@if [ -e $(BUILD_DIR) ]; then rm -rf $(BUILD_DIR); fi
	@if [ -e $(BDIST_DIR) ]; then rm -rf $(BDIST_DIR); fi
	@if [ -e $(DIST_DIR) ]; then rm -rf $(DIST_DIR); fi
	@if [ -e $(APIDOC_DIR) ]; then rm -rf $(APIDOC_DIR); fi
	@if [ -e $(EGG_DIR) ]; then rm -rf $(EGG_DIR); fi
	@find $(BASE_DIR) -depth -type f -name "*.orig" -exec rm -f {} \;
	@find $(BASE_DIR) -depth -type f -name "*~" -exec rm -f {} \;
	@find $(BASE_DIR) -depth -type f -name "#~wxg.autosave*" -exec rm -f {} \;
	@$(RM) logdict*.log
	@$(RM) warnwxglade.txt
	@$(RM) MANIFEST
	@$(RM) $(DIGGER_OUTFILE)

#+ Remove all automatically generated and Mercurial repository data
distclean: clean
	@echo "Remove Mercurial repository data (.hg*) ..."
	@$(RM) .hgtags .hgignore version.py

#+ Remove almost everything that can bee reconstructed with this Makefile
maintainer-clean: distclean doc-clean
	@echo "This command is intended for maintainers to use; it"
	@echo 'deletes files that may need special tools to rebuild."

#+ Compile all python files
compile: $(BYTECODE_FILES)

# Create the documentation
$(APIDOC_DIR)/index.html: $(SOURCE_FILES) $(EPYDOC_CONFIG)
	@echo "Create documentation from source ..."
	@$(EPYDOC_BIN) $(EPYDOC_OPTS)

#+ Create documentation from source files
apidoc: $(APIDOC_DIR)/index.html

#+ Check all source files for logical errors using pylint
pylint:
	PYTHONPATH=$(PYLINT_PATH) $(PYLINT_BIN) $(PYLINT_OPTS) $(CHECK_FILES) || /bin/true

#+ Check all source files for dublicates
digger:
	$(DIGGER_BIN) $(DIGGER_OPTS) $(CHECK_FILES)

#+ Set proper permissions for all files and directories
permissions:
	@echo "Set permissions for all files ..."
	@find $(BASE_DIR) -type d -exec chmod 755 {} \;
	@find $(BASE_DIR) -type f -exec chmod 644 {} \;
	@chmod 755 $(BIN_FILES)

# Create the manpage
$(DOC_DIR)/man/wxglade.1: $(DOC_DIR)/man/manpage.xml
	$(XP) --output $@ $(MANPAGE_XSL) $<

#+ Create manpage from source files
man: $(DOC_DIR)/man/wxglade.1

#+ Create all documentation from source files
doc: pdf html man

# Create PDF documentation
$(MANUAL_PDF): $(MANUAL_XML) $(MANUAL_PICS)
	dblatex -p $(MANUAL_PDF_XSL) -o $(MANUAL_PDF_DIR)/manual.pdf $(MANUAL_XML)

#+ Create PDF document based on manual xml file
pdf: $(MANUAL_PDF)

# Create HTML documentation
$(MANUAL_HTML): $(MANUAL_XML) $(MANUAL_PICS)
	$(INSTALL_DATA) -t $(MANUAL_HTML_DIR) $(MANUAL_SRC_DIR)/*.png
	xmlto -m $(MANUAL_HTML_XSL) -o $(MANUAL_HTML_DIR) html $(MANUAL_XML)
	$(RM) $(MANUAL_HTML_DIR)/manual.proc

#+ Create a set of HTML documents based on manual xml file
html: $(MANUAL_HTML)

#+ Cleanup all automatically generated manuals (if you really know what you do)
doc-clean:
	$(RM) $(MANUAL_HTML_DIR)/*.html
	$(RM) $(MANUAL_HTML_DIR)/*.png
	$(RM) $(MANUAL_PDF)

#+ Create official release packages
release: rel-source rel-binary

#+ Create Unix binary packages
rel-binary: clean doc
	@echo "Creating Unix release packages ..."
	@$(RM) MANIFEST
	$(PYTHON_BIN) setup.py bdist --format=zip

	@$(RM) MANIFEST

#+ Create Unix source release packages
rel-source: clean doc
	@echo "Creating source packages ..."
	@$(RM) MANIFEST
	$(PYTHON_BIN) setup.py sdist --formats=gztar,zip

	@$(RM) MANIFEST

#+ Install wxGlade locally at $(prefix)
install: doc setup.py
	@echo "Install wxGlade locally at $(prefix) ..."
	$(PYTHON_BIN) setup.py install --prefix $(prefix)
	gzip -9 $(man1dir)/wxglade.1

=== debian/changelog ===
wxglade (1.0.1-1) unstable; urgency=medium

  * new upstream version
  * updated the debian patches
  * modified wxglade.install to use icons/wxglade.png
  * added a debian patch to fix wxGlade.desktop

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2021 20:09:34 +0100

=== debian/control ===
Source: wxglade
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/georgesk/wxglade.git
Vcs-Git: https://salsa.debian.org/georgesk/wxglade

Package: wxglade
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-wxgtk4.0
Conflicts: python-wxglade ( << 0.7.1-1)
Replaces: python-wxglade
Description:  GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++, Perl, Lisp and XRC
 (wxWidgets' XML resources) code.

## wxglade 1.0.2

=== debian/changelog ===
wxglade (1.0.2-1) unstable; urgency=medium

  * new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 12:12:31 +0200

## wxglade 1.0.4

=== debian/changelog ===
wxglade (1.0.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Use canonical URL in Vcs-Browser, Vcs-Git.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:41:44 +0100

wxglade (1.0.4-1) unstable; urgency=medium

  * new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jan 2022 19:10:29 +0100

=== debian/control ===
Source: wxglade
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/georgesk/wxglade
Vcs-Git: https://salsa.debian.org/georgesk/wxglade.git

Package: wxglade
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-wxgtk4.0
Conflicts: python-wxglade ( << 0.7.1-1)
Replaces: python-wxglade
Description: GUI designer written in Python with wxPython
 wxGlade is a GUI designer written in Python with the popular GUI toolkit
 wxPython, that helps you create wxWidgets/wxPython user interfaces.
 At the moment it can generate Python, C++, Perl, Lisp and XRC
 (wxWidgets' XML resources) code.

## wxglade 1.0.5+repack

=== debian/changelog ===
wxglade (1.0.5+repack-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 13:19:02 +0200

wxglade (1.0.5+repack-1) experimental; urgency=medium

  * New upstream version 1.0.5+repack
  * Bumped Standards-Version: 4.6.2
  * refreshed debian patches
  * modified d/copyright and d/watch to exclude static JS files
  * updated lintian overrides

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 May 2023 17:46:06 +0200

=== debian/watch ===
version=4

opts="dversionmangle=auto, \
   repacksuffix=+repack, repack, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wxGlade-$1.tar.gz%" \
   https://github.com/wxGlade/wxGlade/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## wxglade 1.1.0a3+repack

=== debian/changelog ===
wxglade (1.1.0a3+repack-1) unstable; urgency=medium

  * fixed debian/watch
  * new upstream version 1.1.0a3... really git snapshot taken today
  * this upstream version includes a fix, which Closes: #1072244

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 31 May 2024 12:44:16 +0200

=== debian/watch ===
version=4

opts="dversionmangle=auto, \
   repacksuffix=+repack, repack, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.a]*)\.tar\.gz%wxGlade-$1.tar.gz%" \
   https://github.com/wxGlade/wxGlade/tags \
   (?:.*?/)?v?(\d[\d.a]*)\.tar\.gz

## wxglade 1.1.0+repack

=== debian/changelog ===
wxglade (1:1.1.0+repack-1) unstable; urgency=medium

  * fixed the mangling of upstream version
  * New upstream version 1.1.0+repack. Closes: #1092493

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Jan 2025 18:47:15 +0100

wxglade (1.1.a2+repack-2) UNRELEASED; urgency=medium

  * Commented out the statement @misc.restore_focus, in file notebook.py,
    which refers to no source in the module misc

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Jan 2025 18:22:41 +0100

wxglade (1.1.a2+repack-1) unstable; urgency=medium

  * New upstream version 1.1.a2+repack

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 16:57:52 +0100

## wxglade 1.1.1+repack

=== debian/changelog ===
wxglade (1:1.1.1+repack-1) unstable; urgency=medium

  * New upstream version 1.1.1+repack

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Feb 2025 08:25:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ python3-all
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/wxglade
 Vcs-Git: https://salsa.debian.org/georgesk/wxglade.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/wxglade
VERSION = $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')

%:
	dh $@ --with python3

override_dh_auto_clean:
	# the installation is simplified drastically!
	rm -f Makefile setup.py version.py
	rm -rf wxGlade.egg-info .eggs
	rm -f docs/html/_static/jquery.js docs/html/_static/underscore.js
	dh_auto_clean

override_dh_auto_test:
	echo "not running the tests since the test tests/test_gui.py will fail"

STATIC_SPHINX_DIR = $(DESTDIR)/usr/share/wxglade/docs/html/_static

override_dh_install:
	echo "__version__ = '$(VERSION)'" > $(CURDIR)/version.py
	dh_install
	# fix JS libraries
	rm -f $(STATIC_SPHINX_DIR)/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js \
	  $(STATIC_SPHINX_DIR)/
	rm -f $(STATIC_SPHINX_DIR)/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js \
	  $(STATIC_SPHINX_DIR)/
	rm -f $(STATIC_SPHINX_DIR)/doctools.js
	ln -s /usr/share/sphinx/themes/basic/static/doctools.js \
	  $(STATIC_SPHINX_DIR)/
	rm -f $(STATIC_SPHINX_DIR)/searchtools.js
	ln -s /usr/share/sphinx/themes/basic/static/searchtools.js \
	  $(STATIC_SPHINX_DIR)/

override_dh_fixperms:
	dh_fixperms
	rm -f $(DESTDIR)/usr/share/wxglade/LICENSE.txt
	ln -s ../doc/wxglade/copyright $(DESTDIR)/usr/share/wxglade/LICENSE.txt
	find $(DESTDIR)/usr/share/wxglade -type f | xargs chmod 644

=== debian/watch ===
version=4

opts="dversionmangle=auto, \
   repacksuffix=+repack, repack, \
   uversionmangle=s/([ab])/~$1/, \
   dversionmangle=s/\.([ab])/~$1/, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.a]*)\.tar\.gz%wxGlade-$1.tar.gz%" \
   https://github.com/wxGlade/wxGlade/tags \
   (?:.*?/)?v?(\d[\d.a]*)\.tar\.gz
